from typing import TypeAlias, Union

__all__ = [
    "Account",
    "AuthorAssociationEnum",
    "DiscussionCommentEvent",
    "DiscussionEvent",
    "Enterprise",
    "InstallationEvent",
    "Installation",
    "InstallationRepositoriesEvent",
    "Label",
    "License",
    "Organization",
    "Permissions",
    "PullRequestEvent",
    "Repository",
    "RepositorySelectionEnum",
    "User",
]


from .account import Account
from .author_association_enum import AuthorAssociationEnum
from .discussion_comment import DiscussionCommentEvent
from .discussions import DiscussionEvent
from .enterprise import Enterprise
from .install import InstallationEvent
from .installation import Installation
from .installation_repositories import InstallationRepositoriesEvent
from .label import Label
from .license import License
from .organization import Organization
from .permission import Permissions
from .pull_requests import PullRequestEvent
from .repository import Repository
from .repository_selection_enum import RepositorySelectionEnum
from .user import User

GithubWebhookEvent: TypeAlias = Union[
    DiscussionCommentEvent,
    DiscussionEvent,
    InstallationEvent,
    InstallationRepositoriesEvent,
    PullRequestEvent,
]
